curl --request GET \
--url https://api.dash.fi/v1/public/cards/{card-id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.dash.fi/v1/public/cards/{card-id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.dash.fi/v1/public/cards/{card-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
"[advertising",
" shipping]"
],
"category": "advertising",
"createdAt": "2025-01-01T00:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lastFour": "1214",
"name": "adspend card meta",
"status": "active",
"type": "single-use",
"balance": "100.00",
"limit": {
"amount": "100.00",
"type": "daily"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "unauthorized",
"message": "authorization header not provided"
}{
"code": "forbidden",
"message": "access to this resource is not provided"
}{
"code": "not-found",
"message": "resource was not found"
}{
"code": "internal-server-error",
"message": "<string>"
}Get a card
Allows getting card details including current limits and available balance.
Authorizations
Type "Bearer" followed by a space and your API token. Obtain your key from the Dash.fi dashboard. Example: "Bearer YOUR_API_KEY"
Path Parameters
Card id
Response
Card response
Card categories. Categories have specific MCC restrictions.
advertising, saas_software, shipping, cloud_computing, professional_services, airlines, books_and_newspapers, car_rental, car_services, charitable_donations, clothing, clubs_and_memberships, education, electronics, fees_and_financial_institutions, freight_moving_and_delivery_services, fuel_and_gas, general_merchandise, general_expenses, government_services, insurance, internet_and_phone, legal, lodging, medical, office_supplies_and_cleaning, other, parking, pet, restaurants, supermarkets_and_grocery_stores, taxes_and_tax_preparation, taxi_and_rideshare, travel_misc, utilities, entertainment ["[advertising", " shipping]"]
Deprecated category field, use 'categories' instead. If this field is returned, please use the UI to update the card category.
"advertising"
Card creation time.
"2025-01-01T00:00:00Z"
Card ID.
"550e8400-e29b-41d4-a716-446655440000"
Last 4 digits of the card number.
"1214"
Card name. Card name must be unique for cards created unless the previous card with the same name has been archived.
"adspend card meta"
Card status.
active, frozen, archived Card type. Single-use can be used for a single transaction (exluding auths up to 5$). Recurring can be used for multiple transactions.
single-use, recurring Current available balance on card. Omitted when the card has no limit.
"100.00"
Card limit. Omitted when the card has no limit.
Show child attributes
Show child attributes